## org.apache.poi.hpsf
Class WritingNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.VariantTypeException
                      org.apache.poi.hpsf.UnsupportedVariantTypeException
                          org.apache.poi.hpsf.WritingNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

    public class WritingNotSupportedException

extends UnsupportedVariantTypeException

This exception is thrown when trying to write a (yet) unsupported variant type.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  `ReadingNotSupportedException`, `UnsupportedVariantTypeException`, Serialized Form

Constructor Summary
`WritingNotSupportedException(long variantType, java.lang.Object value)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.VariantTypeException
`getValue, getVariantType`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WritingNotSupportedException

    public WritingNotSupportedException(long variantType,
                                        java.lang.Object value)

  Constructor

  Parameters:
    `variantType` - The unsupported variant type.
    `value` - The value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.